Issue 52777 - remove "#define private public" hacks in vcl
Summary: remove "#define private public" hacks in vcl
Status: CLOSED FIXED
Alias: None
Product: gsl
Classification: Code
Component: code (show other issues)
Version: 680m123
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 2.0.1
Assignee: hjs
QA Contact: issues@gsl
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-02 11:15 UTC by hjs
Modified: 2005-11-03 18:05 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description hjs 2005-08-02 11:15:34 UTC
still used in the following files

source/app/help.cxx:#define private public
source/app/svdata.cxx:#define private public
source/gdi/impanmvw.cxx:#define private public
source/gdi/mapmod.cxx:#define private public
source/gdi/opengl.cxx:#define private public
source/gdi/opengl.cxx:#define private public
source/window/menu.cxx:#define private public
source/window/splitwin.cxx:#define private public
source/window/winproc.cxx:#define private public
source/window/toolbox2.cxx:#define private public
source/window/toolbox.cxx:#define private public
source/window/split.cxx:#define private public
unx/kde/salnativewidgets-kde.cxx:#define private public
win/source/window/salframe.cxx:#define private public
Comment 1 hjs 2005-08-02 11:16:32 UTC
setting owner as discussed
Comment 2 philipp.lohmann 2005-08-09 09:05:26 UTC
fixed in CWS vcl42.

One instance remains in salnativewidgets-kde.cxx which is around a Qt header;
this one is not completely trivial, so i'll write a followup task to kendy.
Comment 3 philipp.lohmann 2005-08-16 18:45:36 UTC
please verify in CWS vcl42

re-open issue and reassign to hjs@openoffice.org
Comment 4 philipp.lohmann 2005-08-16 18:45:40 UTC
reassign to hjs@openoffice.org
Comment 5 philipp.lohmann 2005-08-16 18:45:55 UTC
reset resolution to FIXED
Comment 6 hjs 2005-08-17 10:25:16 UTC
gone except for the one mentioned.
Comment 7 hjs 2005-11-03 18:05:19 UTC
seen on MWS